SC_FIND_APP_BY_AID(3)

NAME
sc_find_app_by_aid - Find an application on a card

SYNOPSIS

#include <opensc.h>
const sc_app_info_t *sc_find_app_by_aid(sc_card_t *card,
                                        const unsigned char *aid,
                                        size_t aid_len);

DESCRIPTION

This function finds an application on card by itsaid. The AID's length is specified inaid_len.

Before calling this function, you MUST call sc_enum_apps() first.

RETURN VALUE

Returns a sc_app_info_t structure describing the application corresponding to aid, or NULL if none was found.